export default [
  {
    path: "/card/edit/:cardId?",
    name: "CardEdit",
    component: () =>
      import(/* webpackChunkName: "card" */ "./views/CardEdit.vue"),
  },
  {
    path: "/card/preview/:cardId",
    name: "CardPreview",
    component: () =>
      import(/* webpackChunkName: "card" */ "./views/CardPreview.vue"),
  },
  {
    path: "/card/card-rule/preview/:cardRuleId",
    name: "CardRulePreview",
    component: () =>
      import(/* webpackChunkName: "card" */ "./views/CardRulePreview.vue"),
  },
];
