import LoginHome from "./views/LoginHome";
import Login from "./views/Login";
import SelectSchool from "./views/SelectSchool";
import LoginOpen from "./views/LoginOpen";

export default {
  path: "/login-home",
  component: LoginHome,
  children: [
    {
      path: "/login/:code?",
      name: "Login",
      component: Login,
      meta: {
        title: "登录",
        noRequire: true,
      },
    },
    {
      path: "/login-open",
      name: "LoginOpen",
      component: LoginOpen,
      meta: {
        title: "第三方登录",
        noRequire: true,
      },
    },
    {
      path: "/select-school",
      name: "SelectSchool",
      component: SelectSchool,
      meta: {
        title: "选择学校",
        noRequire: true,
      },
    },
  ],
};
