// print
import MarkEntrance from "./views/MarkEntrance.vue";
import MarkManage from "./views/MarkManage.vue";
import MarkSetting from "./views/MarkSetting.vue";
import ScoreCheck from "./views/ScoreCheck.vue";
import ScoreManage from "./views/ScoreManage.vue";

export default [
  // 评卷入口
  {
    path: "/mark/mark-entrance",
    name: "MarkEntrance",
    component: MarkEntrance,
  },
  // 评卷管理
  {
    path: "/mark/mark-manage",
    name: "MarkManage",
    component: MarkManage,
  },
  // 评卷设置
  {
    path: "/mark/mark-setting",
    name: "MarkSetting",
    component: MarkSetting,
  },
  // 成绩检查
  {
    path: "/mark/score-check",
    name: "ScoreCheck",
    component: ScoreCheck,
  },
  // 归档管理 > 成绩管理
  {
    path: "/mark/score-entrance",
    name: "ScoreManage",
    component: ScoreManage,
  },
];
