export const CARD_VERSION = "2.0.0";

export const EXAM_NUMBER_STYLE = {
  PRINT: "印刷条码",
  PASTE: "粘贴条码",
  FILL: "考号填涂",
};

export const PAPER_TYPE = {
  PRINT: "印刷",
  // FILL: "填涂"
};

export const BOOLEAN_TYPE = ["√,×", "是,否", "对,错"];

export const DIRECTION_TYPE = {
  horizontal: "横向",
  vertical: "纵向",
};

export const SHORTCUT_KEYS = [
  {
    name: "向上轻微移动",
    keys: ["ArrowUp"],
  },
  {
    name: "向下轻微移动",
    keys: ["ArrowDown"],
  },
  {
    name: "向左轻微移动",
    keys: ["ArrowLeft"],
  },
  {
    name: "向右轻微移动",
    keys: ["ArrowRight"],
  },
  {
    name: "向上大幅移动",
    keys: ["Shift", "ArrowUp"],
  },
  {
    name: "向下大幅移动",
    keys: ["Shift", "ArrowDown"],
  },
  {
    name: "向左大幅移动",
    keys: ["Shift", "ArrowLeft"],
  },
  {
    name: "向右大幅移动",
    keys: ["Shift", "ArrowRight"],
  },
  {
    name: "向上移动一层",
    keys: ["Ctrl", "ArrowUp"],
  },
  {
    name: "向下移动一层",
    keys: ["Ctrl", "ArrowDown"],
  },
  {
    name: "复制选中元素",
    keys: ["Ctrl", "C"],
  },
  {
    name: "粘贴元素",
    keys: ["Ctrl", "V"],
  },
  {
    name: "编辑选中元素",
    keys: ["Ctrl", "E"],
  },
  {
    name: "删除选中元素",
    keys: ["Delete"],
  },
  {
    name: "新建页面",
    keys: ["Ctrl", "Alt", "N"],
  },
  {
    name: "删除当前页面",
    keys: ["Ctrl", "Alt", "D"],
  },
  {
    name: "预览题卡",
    keys: ["Ctrl", "P"],
  },
  {
    name: "保存题卡",
    keys: ["Ctrl", "S"],
  },
  {
    name: "提交题卡",
    keys: ["Ctrl", "Shift", "S"],
  },
];

export const UNDERTAKING_BODY =
  "在考试过程中，严格遵守考场纪律，服从监考老师安排，不请他（她）人代考，不将通讯设备、电子设备带入考场，不携带与有考试内容相关的纸质材料，不扰乱考场秩序，如违反，自愿承担相应责任。";
